Share deal with a team
POST
/api/canvas/{deal_id}/share/team
const url = 'https://example.com/api/canvas/example/share/team';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"team_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","min_role":"viewer"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/share/team \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "team_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "min_role": "viewer" }'Grant all members of a team access to this deal. Requires owner role.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
ShareTeamRequest
object
team_id
required
Team Id
string format: uuid
min_role
Min Role
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ShareTeamResponse
Response from POST /canvas/{deal_id}/share/team.
object
shared
required
Shared
boolean
deal_id
required
Deal Id
string
team_id
required
Team Id
string
min_role
required
Min Role
string
Example generated
{ "shared": true, "deal_id": "example", "team_id": "example", "min_role": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}